#
#  fmt_lyx.pl
#
#  $Id: fmt_lyx.pl,v 1.4 1997/09/11 22:27:32 cg Exp $
#
#  Lyx-specific driver stuff
#
#   Copyright 1996, Cees de Groot
#
package SGMLTools::fmt_lyx;
use strict;

use SGMLTools::Vars;

my $lyx = {};
$lyx->{NAME} = "lyx";
$lyx->{HELP} = "";
$lyx->{OPTIONS} = [
];
$lyx->{preNSGMLS} = sub {
  $global->{NsgmlsOpts} .= " -ifmtlyx ";
  $global->{NsgmlsPrePipe} = "awk '{print \$0 \" \"}' $global->{file} ";
};

$Formats{$lyx->{NAME}} = $lyx;


#
#  Take the nsgmls output, and prepare it a bit
#
$lyx->{preASP} = sub
{
  my ($infile, $outfile) = @_;
  while (<$infile>)
    {
      s/\\\\/\\\\backslash /g;
      print $outfile $_;
    }
};


#
#  Take the sgmlsasp output, and make something
#  useful from it.
#
$lyx->{postASP} = sub
{
  my $infile = shift;
  my $pipe = new FileHandle "|
  gawk -f $main::LibDir/prelyx.awk |
  sed -f $main::LibDir/prelyx.sed |
  gawk -f $main::LibDir/purifylyx.awk |
  gawk -f $main::LibDir/postlyx.awk |
  gawk -f $main::LibDir/purifylyx.awk >$global->{filename}.lyx";
  copy ($infile, $pipe);
  $pipe->close;
  return 0;
};

1;
